Bug 1028932 - 14.5.3. Sample Programatic Configuration, use configuration from infinispan 5.2 and 5.3
14.5.3. Sample Programatic Configuration, use configuration from infinispan 5...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 6.2.0
Assigned To: Mandar Joshi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 04:28 EST by Vitalii Chepeliuk
Modified: 2015-08-31 22:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 12532, Administration and Configuration Guide-6.2-Beta-3 Build Date: 06-11-2013 16:02:50 Topic ID: 20152-501449 [Latest]
Last Closed: 2014-01-15 19:01:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitalii Chepeliuk 2013-11-11 04:28:51 EST
Title: Sample Programatic Configuration

Describe the issue:
Configuration cacheConfig = new ConfigurationBuilder().loaders()
                .addLoader(LevelDBCacheStoreConfigurationBuilder.class)
                .location("/tmp/leveldb/data")
                .expiredLocation("/tmp/leveldb/expired")
                .build();

Suggestions for improvement:
Configuration cacheConfig = new ConfigurationBuilder().persistence().addStore(LevelDBStoreConfigurationBuilder.class).location("/tmp/leveldb/data")
            .expiredLocation("/tmp/leveldb/expired").build();

Additional information:
Comment 4 Vitalii Chepeliuk 2013-11-14 07:26:11 EST
There is duplicated options
4.Set Up expired location
Set the expiredLocation for the leveldb store. <<<   
5. The other parameters                          |
Set the expiredLocation for the leveldb store. <<<

This is the same.
I think 5 should be something following
5. Finally, generate cache configuration with leveldb store
Comment 8 Misha H. Ali 2014-01-15 19:01:12 EST
The fix for this bug is now generally released and available here:

https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.2/index.html

Note You need to log in before you can comment on or make changes to this bug.